org.apache.jmeter.timers

## Interface ModifiableTimer

- All Superinterfaces:
    Serializable, Timer
  All Known Implementing Classes:
    GaussianRandomTimer, PoissonRandomTimer, RandomTimer, UniformRandomTimer

      public interface ModifiableTimer
      extends Timer

  This interface identifies Modifiable timers to which a factor can be applied
  Since:
    3.1

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `isModifiable()`

    - ### Methods inherited from interface org.apache.jmeter.timers.Timer

      `delay`

- - ### Method Detail

    - #### isModifiable

          default boolean isModifiable()

      Specified by:
        `isModifiable` in interface `Timer`
      Returns:
        true if factor can be applied to it

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.